<template>
  
    <component :is="logo" />
  
</template>
<script>
export default {
  props: {
    theme: {
      type: String,
    },
  },
  computed: {
    computedTheme() {
      if (this.theme) return this.theme
      if (this.$vuetify.theme.dark) return 'dark'
      return 'light'
    },
    logo() {
      const customerLowercase = process.env.CUSTOMER.toLowerCase()
      return require(`@/assets/img/${customerLowercase}/logo-${this.computedTheme}.svg?inline`)
    },
  },
}
</script>
